package models

import (
  "io"
  "strings"
  "github.com/stretchr/testify/assert"
  "testing"
)

func TestNewResourceFromJson(t *testing.T) {
  testJsonDocument := strings.NewReader(`{ "resource": "bar", "tags": [ "foo" ] }`)

  r,e := NewResourceFromJson(io.NopCloser(testJsonDocument))
  assert.Equal(t, e, nil)
  assert.Equal(t, r.Resource, "bar")
  assert.Contains(t, r.Tags, "foo")
}
